Skip to main content
`Ctrl`+`K`

# PCGAMGSetInjectionIndex

Array of subset of variables per vertex to inject into coarse grid space

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetInjectionIndex(PC pc, PetscInt n, PetscInt idx[])

Logically Collective

## Input Parameters

- pc - the coarsen context

- n - number of indices

- idx - array of indices

## Options Database Key

- -pc_gamg_injection_index - array of subset of variables per vertex to use for injection coarse grid space

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, `PCGAMG`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCGAMGSetInjectionIndex_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages